Skip to content

Test instance webhook

POST
/api/v1/instance-webhooks/{id}/test
curl --request POST \
--url http://127.0.0.1:8080/api/v1/instance-webhooks/example/test \
--header 'Authorization: Bearer <token>'
id
required
string

Accepted

Media typeapplication/json
object
attempts
required
integer format: int64
created_at
required
string format: date-time
event_id
required
string
event_type
required
string
id
required
string
last_code
string
next_attempt_at
string format: date-time
state
required
string
subscription_id
required
string
key
additional properties
any
Examplegenerated
{
"attempts": 1,
"created_at": "2026-04-15T12:00:00Z",
"event_id": "example",
"event_type": "example",
"id": "example",
"last_code": "example",
"next_attempt_at": "2026-04-15T12:00:00Z",
"state": "example",
"subscription_id": "example"
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}